import { number, object, optional } from "valibot";
import { useScript, validateScriptInputSchema } from "#imports";
export const HotjarOptions = object({
  id: number(),
  sv: optional(number())
});
export function useScriptHotjar(options, _scriptOptions) {
  const scriptOptions = _scriptOptions || {};
  scriptOptions.beforeInit = () => {
    validateScriptInputSchema(HotjarOptions, options);
    if (import.meta.client) {
      window._hjSettings = window._hjSettings || { hjid: options?.id, hjsv: options?.sv };
      window.hj = window.hj || function(...params) {
        (window.hj.q = window.hj.q || []).push(params);
      };
    }
  };
  return useScript({
    key: "hotjar",
    // requires extra steps to bundle
    src: `https://static.hotjar.com/c/hotjar-${options?.id}.js?sv=${options?.sv}`,
    defer: true
  }, {
    ...scriptOptions,
    use() {
      return { hj: window.hj };
    }
  });
}
