import { object, optional, string } from "valibot";
import { withBase } from "ufo";
import { useScript, validateScriptInputSchema } from "#imports";
export const NpmOptions = object({
  packageName: string(),
  file: optional(string()),
  version: optional(string())
});
export function useScriptNpm(options, _scriptOptions) {
  const scriptOptions = _scriptOptions || {};
  scriptOptions.beforeInit = () => {
    validateScriptInputSchema(NpmOptions, options);
  };
  return useScript({
    src: typeof options === "string" ? options : withBase(options.file || "", `https://unpkg.com/${options?.packageName}@${options.version}`)
  }, {
    ...scriptOptions,
    use() {
      return new window.JSConfetti();
    }
  });
}
